# Uses of Class
org.apache.sling.feature.extension.apiregions.api.ApiRegion

Packages that use ApiRegion
Package
Description
org.apache.sling.feature.extension.apiregions.api

## Uses of ApiRegion in org.apache.sling.feature.extension.apiregions.api

Methods in org.apache.sling.feature.extension.apiregions.api that return ApiRegion
Modifier and Type
Method
Description
`ApiRegion`
ApiRegion.`getParent()`
Get the parent region
`ApiRegion`
ApiRegions.`getRegionByName(String name)`
Get a named region
`ApiRegion[]`
ApiRegions.`getRegionsByFeature(org.apache.sling.feature.ArtifactId featureId)`
`ApiRegion`
ApiRegions.`getRoot()`
Get the root regions.
Methods in org.apache.sling.feature.extension.apiregions.api that return types with arguments of type ApiRegion
Modifier and Type
Method
Description
`List<ApiRegion>`
ApiRegions.`listRegions()`
Return the list of regions
Methods in org.apache.sling.feature.extension.apiregions.api with parameters of type ApiRegion
Modifier and Type
Method
Description
`boolean`
ApiRegions.`add(int idx, ApiRegion region)`
Add the region.
`boolean`
ApiRegions.`add(ApiRegion region)`
Add the region.